Skip to main content
PUT
/
v3
/
connectors
/
configuration
/
webhooks
/
{id}
Update a specific Webhook Configuration by ID.
curl --request PUT \
  --url https://api.lilt.com/v3/connectors/configuration/webhooks/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "webhookName": "<string>"
}
'
import requests

url = "https://api.lilt.com/v3/connectors/configuration/webhooks/{id}"

payload = { "webhookName": "<string>" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({webhookName: '<string>'})
};

fetch('https://api.lilt.com/v3/connectors/configuration/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 12345,
  "webhookName": "<string>",
  "webhookUrl": "<string>",
  "eventType": []
}
{
"message": "Internal server error."
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
integer
required

The Webhook Configuration ID.

Example:

12345

Body

application/json
webhookName
string
required

The name of the webhook configuration.

Response

Returns the updated webhook configuration.

id
integer
required

The unique identifier for the webhook configuration.

Example:

12345

webhookName
string
required

The name of the webhook configuration.

webhookUrl
string<uri>
required

The URL to which the webhook notifications will be sent.

eventType
enum<string>[]
required

The list of event types that will trigger the webhook notification.

Available options:
JOB_DELIVER,
JOB_UPDATE,
PROJECT_DELIVER,
PROJECT_UPDATE,
INSTANT_TRANSLATE_COMPLETED,
INSTANT_TRANSLATE_FAILED